### Method

# Ggit Config get_int32

#### Declaration [src]

    gint32
    ggit_config_get_int32 (
      GgitConfig* config,
      const gchar* name,
      GError** error
    )

#### Description [src]

Get a int32 configuration value.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the configuration value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint32`

The value.